<?php

namespace Entity\Model;

use Helpers\Outil\Sql;
use Helpers\QueryBuilder\QueryBuilder;

class Sinventa extends QueryBuilder
{
    protected string $table = 'SINVENTA with (nolock)';
    protected string $primaryKey = 'NO_INV';

    /**
     * @param array<string,mixed> $inventaire
     * @return void
     */
    public function processAndMerge(array $inventaire): void
    {
        $inventaire['EXCL_ART'] = Sql::toBool($inventaire['EXCL_ART']);

        $this->merge($inventaire);
    }
}
